
package ru.other.company.card.service.provider.xml;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *                     Возможные состояния карт/купонов
 *                 
 * 
 * <p>Java class for card-statusType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="card-statusType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="ACTIVE"/>
 *     &lt;enumeration value="BLOCKED"/>
 *     &lt;enumeration value="USED"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "card-statusType")
@XmlEnum
public enum XmlExampleCardStatus {


    /**
     * 
     *                         Карта активна
     *                     
     * 
     */
    ACTIVE,

    /**
     * 
     *                         Карта заблокирована
     *                     
     * 
     */
    BLOCKED,

    /**
     * 
     *                         Для купонов: Купон уже использован
     *                     
     * 
     */
    USED;

    public String value() {
        return name();
    }

    public static XmlExampleCardStatus fromValue(String v) {
        return valueOf(v);
    }

}
