package ru.crystals.pos.api.ui.listener;

/**
 * Слушатель событий пользовательского ввода.
 */
public interface InputListener extends CancelListener {

    /**
     * Обработчик события "пользователь завершил ввод".
     * @param value введенный пользователем текст.
     */
    void eventInputComplete(String value);
}
