package ru.crystals.pos.spi.plugin.goods;

import ru.crystals.pos.api.plugin.goods.NewLineItem;

/**
 * Ошибка добавления товара в чек.<br>
 *
 * Возникает, если данные невозможно добавить в чек и сохранить в БД.<br>
 * @see AddForSaleCallback#completed(NewLineItem)
 *
 */
public class InvalidLineItemException extends Exception {

    public InvalidLineItemException(){
        // the default
    }

    public InvalidLineItemException(String message){
        super(message);
    }

    public InvalidLineItemException(String message, Throwable cause){
        super(message, cause);
    }
}
